Tesseract 3.02

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Public Member Functions
TessResultCallback1< R, A1 > Class Template Reference

`#include <tesscallback.h>`

Inheritance diagram for TessResultCallback1< R, A1 >:

List of all members.

## Public Member Functions

virtual | ~TessResultCallback1 ()
virtual R | Run (A1)=0

## Detailed Description

### template<class R, class A1>
class TessResultCallback1< R, A1 >

Definition at line 281 of file tesscallback.h.

## Constructor & Destructor Documentation

template<class R, class A1>

virtual TessResultCallback1< R, A1 >::~TessResultCallback1 | ( |  | ) |

inlinevirtual

Definition at line 283 of file tesscallback.h.

{ }

## Member Function Documentation

template<class R, class A1>

virtual R TessResultCallback1< R, A1 >::Run | ( | A1 |  | ) |

pure virtual

Implemented in _TessFunctionResultCallback_0_1< del, R, A1 >, _TessMemberResultCallback_0_1< del, R, T, A1 >, and _ConstTessMemberResultCallback_0_1< del, R, T, A1 >.

The documentation for this class was generated from the following file:

- /mnt/data/src/tesseract-ocr/ccutil/tesscallback.h